#!/bin/bash -x

cat > /etc/apt/sources.list << EOSOURCES
deb http://ftp.zcu.cz/pub/linux/debian stretch main contrib non-free
deb http://ftp.zcu.cz/pub/linux/debian stretch-updates main contrib non-free
deb http://ftp.zcu.cz/pub/linux/debian-security stretch/updates main contrib non-free

deb-src http://ftp.zcu.cz/pub/linux/debian stretch main contrib non-free
deb-src http://ftp.zcu.cz/pub/linux/debian stretch-updates main contrib non-free
deb-src http://ftp.zcu.cz/pub/linux/debian-security stretch/updates main contrib non-free
EOSOURCES

apt update -qqq
apt install build-essential devscripts debhelper libwrap0-dev libevent-dev libnfsidmap-dev libkrb5-dev libblkid-dev libkeyutils-dev pkg-config libldap2-dev libcap-dev libtirpc-dev libdevmapper-dev dh-autoreconf libmount-dev libsqlite3-dev dh-systemd --no-install-recommends -qqq -y

apt source nfs-utils

cd nfs-utils-1.3.4/
cp -v ../debian/* debian/patches

dch -l "+zs" "[ ZS ]"
for i in `ls debian/patches/zs*`; do
    echo "`basename $i`" >> debian/patches/series
    dch -a "`basename $i`"
done

dpkg-buildpackage -uc -us -b

cd ..
mkdir build
mv *.deb build/

